// JavaScript Document

function tmCookie(cookieName)
{
    var setKg=$("#meunLeft").find("div.tit");
    var con=$("#meunLeft").find("div.con");
    var toggleMenuCookie=$.cookie(cookieName);
    var arr=[];
    if(toggleMenuCookie)
    {
        arr=toggleMenuCookie.split("|");
        for(var i=0,l=arr.length;i<l;i++)
        {
            if(arr[i].substring(0,1)=="1"){setKg.eq(i).addClass("select");}
            if(arr[i].substring(2)=="0"){con.eq(i).hide();}
        }
    }
    setKg.click(function(){
        var cookieValue=[];
        $(this).toggleClass("select");
        con.eq(setKg.index($(this))).toggle();
        setKg.each(function(){
            var cur= $(this).hasClass("select") ? "1" : "0";
            cur+=","+ (con.eq(setKg.index($(this))).css("display")=="none" ? "0" : "1");
            cookieValue.push(cur);
        });
        $.cookie(cookieName,cookieValue.join("|"),{expires:365});
        return false;
    });
    
    var toggleMenuCookie2=$.cookie(cookieName+"2");
    var s=$("#meunLeft").find("s");
    var ul=$("#meunLeft").find("ul.child");
    var arr2=[];
    if(toggleMenuCookie2)
    {
        arr2=toggleMenuCookie2.split("|");
        for(var i=0,l=arr2.length;i<l;i++)
        {
            if(arr2[i].substring(0,1)=="1"){s.eq(i).addClass("show");}
            if(arr2[i].substring(2)=="0"){ul.eq(i).hide();}
        }
    }
    s.click(function(){
        var cookieValue=[];
        $(this).toggleClass("show");
        ul.eq(s.index($(this))).toggle();
        s.each(function(){
            var cur= $(this).hasClass("show") ? "1" : "0";
            cur+=","+ (ul.eq(s.index($(this))).css("display")=="none" ? "0" : "1");
            cookieValue.push(cur);
        });
        $.cookie(cookieName+"2",cookieValue.join("|"),{expires:365});
        return false;
    });
    
}

function setCopy(url)
 {
    if(window.clipboardData)
    {
        window.clipboardData.setData('text', url); 
		at_infoTrace.show("复制成功！","o");
    }else{
		  at_infoTrace.show("对不起你的浏览器版本不支持程序复制，请手动复制代码！","i");
    }
    
 }
  //验证唯一性
function checkUniq(val,paraName,surl,fn)
{
    if(val.replace(/\s/g,"")=="")
    {
        return false;
    }else{
        $.ajax({
            url:surl,//请求地址
            data:paraName+"="+val,//发送数据
			dataType:"json",
            success:function(json){
                if(fn)
                {
                    fn(json);
                }
            }
        });
    }
}
function getCharLength(c,str)
{
    var pattern=eval("/"+c+"/g");
    var num=0;//出现次数
    function exec()
    {
        if(pattern.exec(str))
        {
            num++;
            exec();
        }
    }
    exec();
    return num;
}

//合作账号登录后提示
function cooLogin(nickname,jumpurl,url){
    var traces = new at_trace();
    traces.setWidth(350);
    traces.setContact(
	    "提示，您正在使用合作平台账号登录",
	    '<div class="at_trace_if clearfix"><u class="at_msg m_1_o"></u><p class="at_trace_if_c ml10 mt10">您好，'+nickname+'。为了账户资金安全，请立即为此用户名设置密码</p></div>',
	    [
	        traces.getButton("马上进入设置", "yellow", function(){
		        location.href = jumpurl;
	        }),
	        traces.getButton("下次再说", "gray", function(){
    	        traces.setDisplay("hide");
    	        $.ajax({
    	            url:url,
    	            data:"",
    	            success:function(){
    	                
    	            }
    	        });
	        })
	    ]
    );
    traces.setDisplay("show");
}

//解除合作网站账号绑定
function cancelCooBind(nickname,accountName,url){
    var traces = new at_trace();
    traces.setWidth(370);
    traces.setContact(
	    "提示",
	    '<div class="at_trace_if clearfix"><u class="at_msg m_1_i"></u><p class="at_trace_if_c ml10" style="width:255px;">您好，'+nickname+'。是否解除与此<b>'+accountName+'</b>的绑定。<br/>解除后仍可使用绑定用户名管理原帐户，此<b>'+accountName+'</b>再次登录需重新绑定新用户名。</p></div>',
	    [
	        traces.getButton("解除绑定", "yellow", function(){
    	        $.ajax({
    	            url:url,
    	            data:"",
    	            success:function(){
    	                
    	            }
    	        });
	        }),
	        traces.getButton("取消", "gray", function(){
    	        traces.setDisplay("hide");
	        })
	    ]
    );
    traces.setDisplay("show");
}